<?php

namespace Litepci\Compliancetype;

use User;

class Compliancetype
{
    /**
     * $version object.
     */
    protected $version;

    /**
     * Constructor.
     */
    public function __construct(\Litepci\Compliancetype\Interfaces\VersionRepositoryInterface $version)
    {
        $this->version = $version;
    }

    /**
     * Returns count of compliancetype.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.version.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->version->pushCriteria(new \Litepie\Litepci\Repositories\Criteria\VersionUserCriteria());
        }

        $version = $this->version->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('compliancetype::' . $view, compact('version'))->render();
    }
}
